package projectzombie.items;

import projectzombie.init.Models;
import projectzombie.model.ModelItem;
import projectzombie.util.ItemStack;

public class ItemStoneShovel extends ItemAbstractTool
{

	@Override
	public int toolPower(ItemStack stack) {
		return 1;
	}

	@Override
	public double toolSpeed(ItemStack stack) {
		return 1.5;
	}

	@Override
	public ItemToolType toolType(ItemStack stack) {
		return ItemToolType.SHOVEL;
	}

	@Override
	protected int getMaxDamage() {
		return 16;
	}

	@Override
	public ModelItem getModel(ItemStack stack) {
		return Models.ITEM_STONE_SHOVEL;
	}
	
	@Override
	public String getName(ItemStack stack) {
		return "Stone Shovel";
	}

}
